<?php
/**
 * @version		Webemus 1.0
 * @license		GNU/GPL, see LICENSE.php
 *  
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.plugin.plugin');
jimport( 'joomla.methods' );




class plgUserAdminmail extends JPlugin {

	
	function plgUserAdminmail(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}
	
	function onUserAfterSave($user, $isnew, $success, $msg){
		return $this->onAfterStoreUser($user, $isnew, $success, $msg);
	}

	
	/**
	 
	 * Method is called after user data is stored in the database
	 *
	 * @param 	array		holds the new user data
	 * @param 	boolean		true if a new user is stored
	 * @param	boolean		true if user was succesfully stored in the database
	 * @param	string		message
	 */
	function onAfterStoreUser($user, $isnew, $success, $msg)
	{
	
		global $mainframe;

		// convert the user parameters passed to the event
		// to a format the external application
		
		// $ddf = fopen('error.log','a');
		// fwrite($ddf,"[".date("r")."] Comienzo en Plugin user \n");


		$args = array();
		$args['username']	= $user['username'];
		$args['email'] 		= $user['email'];
		$args['fullname']	= $user['name'];
		$args['password']	= $user['password'];

		if ($isnew)
		{
			

		$db		=& JFactory::getDBO();

		$name 		= $args['fullname'];
		$email 		= $args['email'];
		$username 	= $args['username'];

		
		$sitename 		= $mainframe->getCfg( 'sitename' );
		$mailfrom 		= $mainframe->getCfg( 'mailfrom' );
		$fromname 		= $mainframe->getCfg( 'fromname' );
		$siteURL		= JURI::base();

		
		
		//get all super administrator
		$query = 'SELECT name, email, sendEmail' .
				' FROM #__users' .
				' WHERE LOWER( usertype ) = "super administrator"';
		$db->setQuery( $query );
		$rows = $db->loadObjectList();

		

		// Send notification to all administrators
		
		//$subject2 = sprintf ( JText::_( 'Account details for' ), $name, $sitename); 
		$ACCOUNT_DETAILS_FOR = 'Detalles de la cuenta de %s en %s';
		$subject2 = sprintf ( $ACCOUNT_DETAILS_FOR, $name, $sitename);
		$subject2 = html_entity_decode($subject2, ENT_QUOTES);

		// get superadministrators id
		foreach ( $rows as $row )
		{
			if ($row->sendEmail)
			{
				//$message2 = sprintf ( JText::_( 'SEND_MSG_ADMIN' ), $row->name, $sitename, $name, $email, $username);
				$SEND_MSG_ADMIN = "Hola %s,\n\nSe ha registrado un nuevo usuario en %s.\nEste mensaje contiene los detalles:\n\nNombre - %s\nE-mail - %s\nNombre de usuario - %s\n\nNo responda a este mensaje, porque ha sido generado automticamente solo con propsitos informativos.";
				$message2 = sprintf ( $SEND_MSG_ADMIN, $row->name, $sitename, $name, $email, $username);
				$message2 = html_entity_decode($message2, ENT_QUOTES);
				JUtility::sendMail($mailfrom, $fromname, $row->email, $subject2, $message2);
			}
		}
	  }
			
	}
		
}

	

